# DataExchange
TKXSBase
XSAlgo

# XSAlgo Class Reference

`#include <XSAlgo.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | Init ()
| Provides initerface to the algorithms from Shape Healing and others for XSTEP processors. //! Creates and initializes default AlgoContainer. .
static Standard_EXPORT void | SetAlgoContainer (const Handle(XSAlgo_AlgoContainer)&aContainer)
| Sets default AlgoContainer .
static Standard_EXPORT Handle_XSAlgo_AlgoContainer | AlgoContainer ()
| Returns default AlgoContainer .

## Member Function Documentation

static Standard_EXPORT Handle_XSAlgo_AlgoContainer XSAlgo::AlgoContainer | ( |  | ) | `[static]`

static Standard_EXPORT void XSAlgo::Init | ( |  | ) | `[static]`

void XSAlgo::operator delete | ( | void * | anAddress | ) | `[inline]`

void* XSAlgo::operator new | ( | size_t | size | ) | `[inline]`

void* XSAlgo::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT void XSAlgo::SetAlgoContainer | ( | const Handle(XSAlgo_AlgoContainer)& | aContainer | ) | `[static]`

The documentation for this class was generated from the following file:

- XSAlgo.hxx